package com.company;

import com.company.PhoneBook;
import org.junit.Assert;
import org.junit.Test;


import java.util.ArrayList;
public class PhoneBookTest {


    @Test
    public void add() {
        PhoneBook phoneBook=new PhoneBook();
        String expected="boby: 8989898989";
        phoneBook.add("boby","8989898989");
        String actual=phoneBook.display();
        Assert.assertEquals(actual, expected);
    }

    @Test
    public void removeRecord() {
        PhoneBook phoneBook=new PhoneBook();
        phoneBook.add("boby","1234567890");
        phoneBook.removeRecord("boby");
        String res=phoneBook.display();
        Assert.assertEquals("",res);
    }

    @Test
    public void lookupByName() {
        String expected="1234567890 8989898989";
        PhoneBook phoneBook=new PhoneBook();
        phoneBook.add("boby","1234567890");
        phoneBook.add("boby","8989898989");
        String actual=phoneBook.lookupbyName("boby");
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testreverseLookUp()
    {
        String expected="boby";
        PhoneBook phoneBook=new PhoneBook();
        phoneBook.add("boby","1234567890");
        phoneBook.add("boby","8989898989");
        String actual=phoneBook.reverseLookUp("1234567890");
        Assert.assertEquals(expected, actual);
    }

}