package com.company;

import java.util.*;

public class PhoneBook {

    TreeMap<String,List<String>> contacts=new TreeMap<String, List<String>>();

    public PhoneBook() {
    }

    public void add(String name, String phoneNumber) {
        boolean result=true;
        if (contacts.containsKey(name)) {
            this.contacts.get(name).add(phoneNumber);
        } else {
            ArrayList<String> phoneNumbers = new ArrayList();
            phoneNumbers.add(phoneNumber);
            contacts.put(name, phoneNumbers);
        }
    }

    public void removeRecord(String name) {

        for(Map.Entry<String,List<String>> i :contacts.entrySet())
        {
            if(i.getKey().equals(name))
            {
                contacts.remove(name);
            }
        }
    }
    public String display()
    {
        StringBuilder br=new StringBuilder();
        for(Map.Entry<String,List<String>> i :contacts.entrySet())
        {
            br.append(i.getKey());
            br.append(": ");
            for(String number:i.getValue())
            {
                br.append(number);
            }
        }
        return br.toString();
    }
    public String lookupbyName(String name) {

        String result="";
        for(Map.Entry<String,List<String>> i :contacts.entrySet())
        {
            if(i.getKey().equalsIgnoreCase(name))
            {
                for(String number:i.getValue())
                {
                    result+=number+ " ";
                }
            }

        }
        return result.trim();
    }
    public String reverseLookUp(String phonenumber)
    {
        String name="";
        for(Map.Entry<String,List<String>> i :contacts.entrySet())
        {
            if(i.getValue().contains(phonenumber))
            {
                name=i.getKey();
            }
        }
        return name;
    }


}

